Bug 128402 - If Album Path in digikamrc differs from default of $HOME/? then app crashes
Summary: If Album Path in digikamrc differs from default of $HOME/? then app crashes
Status: RESOLVED NOT A BUG
Alias: None
Product: digikam
Classification: Unclassified
Component: Setup-ConfigFiles (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR crash with 20 votes (vote)
Target Milestone: ---
Assignee: Digikam Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-06-01 02:54 UTC by cappycdn
Modified: 2022-01-20 16:03 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 7.6.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description cappycdn 2006-06-01 02:54:12 UTC
Version:           0.8.1-r1 (using KDE KDE 3.5.2)
Installed from:    Gentoo Packages
Compiler:          Portage 2.1_rc3-r3 (default-linux/x86/2005.1, gcc-3.4.6, glibc-2.3.6-r3, 2.6.16-gentoo-r7 i686)
=================================================================
System uname: 2.6.16-gentoo-r7 i686 Intel(R) Pentium(R) 4 CPU 3.00GHz
Gentoo Base System version 1.12.0
dev-lang/python:     2.3.5-r2, 2.4.2
dev-python/pycrypto: 2.0.1-r5
dev-util/ccache:     [Not Present]
dev-util/confcache:  [Not Present]
sys-apps/sandbox:    1.2.17
sys-devel/autoconf:  2.13, 2.59-r7
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.16.1-r2
sys-devel/libtool:   1.5.22
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-Os -march=prescott -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3.5/env /usr/kde/3.5/share/config /usr/kde/3.5/shutdown /usr/lib/mozilla/defaults/pref /usr/share/X11/xkb /usr/share/config /usr/share/texmf/dvipdfm/config/ 
OS:                Linux

Verified that path wanted was not setup for NFS. I had digikam-0.7.4-r2 & digikamimageplugins-0.7.4-r2 installed then upgraded
to 0.8.1 for both.  I noticed digikam would crash as a regular user on startup.
 When ran as root it would startup and prompt for almbum path.
I decided to delete all references to digikam i.e. config files for the regular
user and started digkam up and it would startup and prompt for album path.
If I chose a path not originating from my users home directory the app would
crash.
Comment 1 caulier.gilles 2006-07-26 16:12:02 UTC
please give us a backtrace using gdb. Note that 0.9.0-beta1 is available. Please give us a fresh feedback

Gilles Caulier
Comment 2 Arnd Baecker 2007-06-06 19:44:48 UTC
is this crash still reproducible using digikam 0.9.2-beta3?

Many thanks in advance for any feedback!
Comment 3 Arnd Baecker 2007-06-26 09:42:11 UTC
Closing this bug now. 
This does not mean it is invalid by itself, but
without further information (gdb backtrace
and check with current 0.9.2 version) 
it is not possible to find the root of the problem.

Please feel free to re-open if there is any
new information.

Arnd